%define module_version 0.05
%define module_name Plack-Middleware-Auth-Digest
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/HMAC_SHA1.pm) perl(Digest/MD5.pm) perl(HTTP/Request/Common.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Module/Build/Tiny.pm) perl(Plack/Builder.pm) perl(Plack/Middleware.pm) perl(Plack/Test.pm) perl(Plack/Util/Accessor.pm) perl(Test/Builder/Module.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Digest authentication
Group: Development/Perl
License: perl
URL: https://github.com/miyagawa/Plack-Middleware-Auth-Digest

Source0: http://cpan.org.ua/authors/id/M/MI/MIYAGAWA/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Plack::Middleware::Auth::Digest is a Plack middleware component that
enables Digest authentication. Your `authenticator' callback is called using
two parameters: a username as a string and the PSGI `$env' hash. Your callback
should return a password, either as a raw password or a hashed password.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/P*

%changelog
* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

